Subject: [spring] Comments on SR policy

From: "[email-masked]" <[email-masked]>
Date: Wed, 5 Aug 2020 16:33:19 +0800

Dear authors and all,

Please consider the following comments.
1. Do you think it is ok to add one more segment type for the segment list to incorporate the segment for Layer 2 bundle members? Please refer to rfc8668.
2. For per flow steering to a policy, why do we limit the array index to 0 to 7?  I think this is implementation specific and the number of paths in an array depends on the application scenario. I am not sure whether or not 8 paths is enough for all scenarios.
3. For protection in section 9.1, it is better to add some text like "the local protection may not satisfy the SLA requirements or the path constrains for the policy" when an SR Policy is built on the basis of TI-LFA protected IGP segments.

Best Regards,
Zhenqiang Li

[email-masked]

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 14 Aug 2020 11:36:15 +0000

Hi Zhenqiang Li,

Thanks for you review and sharing your comments. Please check inline below.

From: [email-masked] <[email-masked]>
Sent: 05 August 2020 14:03
To: [email-masked]; draft-ietf-spring-segment-routing-policy <[email-masked]>
Subject: Comments on SR policy

Dear authors and all,

Please consider the following comments.
1. Do you think it is ok to add one more segment type for the segment list to incorporate the segment for Layer 2 bundle members? Please refer to rfc8668.
[KT] The Segment Type E covers Layer 2 Bundle Members : https://tools.ietf.org/html/draft-ietf-spring-segment-routing-policy-08#section-4

         This type can also be
         used to indicate indirection into a layer 2 interface (i.e.
         without IP address) like a representation of an optical
         transport path or a layer 2 Ethernet port or circuit at the
         specified node.

[KT] The draft does not limit the Forwarding Classes to 8. The value 8 is more of an example and comes from Traffic Class [RFC5462] and the IP Precedence portion of DSCP [RFC2474]. The section starts with "Let us assume" and there is also the following text in the same section:

   The array index values (e.g. 0, 1 and 2) and the notion of

   forwarding-class are implementation specific and only meant to

   describe the desired behavior.  The same can be realized by other

   mechanisms.

3. For protection in section 9.1, it is better to add some text like "the local protection may not satisfy the SLA requirements or the path constrains for the policy" when an SR Policy is built on the basis of TI-LFA protected IGP segments.
[KT] Sure. We can add this clarification in the next update.

Thanks,
Ketan

Best Regards,
Zhenqiang Li
________________________________
[email-masked]<mailto:[email-masked]>

---

From: "[email-masked]" <[email-masked]>
Date: Tue, 18 Aug 2020 09:12:09 +0800

Hello Ketan,

Thank you for your response. 

For question No. 1, I can understand Type E and Type G can be used to present layer 2 interface. Howerver, the method introduced in RFC 8668 is different, in which SID is used to directly indicate the member link of a layer 2 link bundle. When using the segment defined in RFC8668, the headend doesn't need to resolve the IP address and the interface ID specified in Type E or G.

So I think it is better to add one more segment type to contain the segment defined in RFC8668 for layer 2 bundle members.

Best Regards,
Zhenqiang Li

[email-masked]
 
From: Ketan Talaulikar (ketant)
Date: 2020-08-14 19:36
To: [email-masked]; [email-masked]; draft-ietf-spring-segment-routing-policy
Subject: RE: Comments on SR policy
Hi Zhenqiang Li,

 
Dear authors and all,

         This type can also be

2. For per flow steering to a policy, why do we limit the array index to 0 to 7?  I think this is implementation specific and the number of paths in an array depends on the application scenario. I am not sure whether or not 8 paths is enough for all scenarios.
[KT] The draft does not limit the Forwarding Classes to 8. The value 8 is more of an example and comes from Traffic Class [RFC5462] and the IP Precedence portion of DSCP [RFC2474]. The section starts with “Let us assume” and there is also the following text in the same section:    The array index values (e.g. 0, 1 and 2) and the notion of   forwarding-class are implementation specific and only meant to   describe the desired behavior.  The same can be realized by other   mechanisms. 

Thanks,
Ketan
 
Best Regards,
Zhenqiang Li

[email-masked]

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Tue, 18 Aug 2020 04:28:59 +0000

Hi Zhenqiang Li,

Please check inline below.

From: [email-masked] <[email-masked]>
Sent: 18 August 2020 06:42
To: Ketan Talaulikar (ketant) <[email-masked]>; [email-masked]; draft-ietf-spring-segment-routing-policy <[email-masked]>
Subject: Re: RE: Comments on SR policy

Hello Ketan,

For question No. 1, I can understand Type E and Type G can be used to present layer 2 interface. Howerver, the method introduced in RFC 8668 is different, in which SID is used to directly indicate the member link of a layer 2 link bundle. When using the segment defined in RFC8668, the headend doesn't need to resolve the IP address and the interface ID specified in Type E or G.
[KT] The Type A is available for all types of SR-MPLS Segments to be specified in the form of a label (and it does not require headend to perform any resolution) – same is also usable for L2 Bundle Member Adj-SID. The Type E or G is for when this SID is to be represented as Node Segment + Link ID for the headend to resolve to the L2 Bundle Member Adj-SID.

Thanks,
Ketan

Best Regards,
Zhenqiang Li

From: Ketan Talaulikar (ketant)<mailto:[email-masked]>
Date: 2020-08-14 19:36
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; draft-ietf-spring-segment-routing-policy<mailto:[email-masked]>
Subject: RE: Comments on SR policy
Hi Zhenqiang Li,

From: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Sent: 05 August 2020 14:03
To: [email-masked]<mailto:[email-masked]>; draft-ietf-spring-segment-routing-policy <[email-masked]<mailto:[email-masked]>>
Subject: Comments on SR policy

Dear authors and all,

         This type can also be

[KT] The draft does not limit the Forwarding Classes to 8. The value 8 is more of an example and comes from Traffic Class [RFC5462] and the IP Precedence portion of DSCP [RFC2474]. The section starts with “Let us assume” and there is also the following text in the same section:

   mechanisms.

Thanks,
Ketan

Best Regards,
Zhenqiang Li